# VoiceOverPresenter

Class in [Yarn.Unity](/3.1/api/csharp/yarn.unity.md)

Inherits from [`DialoguePresenterBase`](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguepresenterbase.md)

## Summary

A subclass of [DialoguePresenterBase](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguepresenterbase.md) that plays voice-over `UnityEngine.AudioClip` s for lines of dialogue.

```csharp
public sealed class VoiceOverPresenter : DialoguePresenterBase
```

## Fields

| Name                                                                                                                                                   | Description                                                                                                                                  |
| ------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| [audioSource](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.audiosource.md)                                   | The `UnityEngine.AudioSource` that this voice over view will play its audio from.                                                            |
| [endLineWhenVoiceoverComplete](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.endlinewhenvoiceovercomplete.md) | If `true` , the voice over view will request that the dialogue runner proceed to the next line when audio for the line has finished playing. |
| [fadeOutTimeOnLineFinish](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.fadeouttimeonlinefinish.md)           | The fade out time when the line is interrupted during playback.                                                                              |
| [waitTimeAfterLineComplete](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.waittimeafterlinecomplete.md)       | The amount of time after playback has completed before this view reports that it's finished delivering the line.                             |
| [waitTimeBeforeLineStart](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.waittimebeforelinestart.md)           | The amount of time to wait before starting playback of the line.                                                                             |

## Methods

| Name                                                                                                                                                        | Description                                                                                                                                                         |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [OnDialogueCompleteAsync()](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.ondialoguecompleteasync.md)              | Called by the [DialogueRunner](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that the dialogue has ended, and no more lines will be delivered. |
| [OnDialogueStartedAsync()](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.ondialoguestartedasync.md)                | Called by the [DialogueRunner](/3.1/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) to signal that dialogue has started.                                        |
| [RunLineAsync(LocalizedLine,LineCancellationToken)](/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter/yarn.unity.voiceoverpresenter.runlineasync.md) | Begins playing the associated audio for the specified line.                                                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.voiceoverpresenter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
